Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package macros
  Definition Classes
    reflect
-  package compiler
-  package contexts
-  package runtime
-  package util
-  package quasiquotes
  Definition Classes
    reflect
-  package reify
  Definition Classes
    reflect

p

scala.reflect

# macros 

#### package macros

Linear Supertypes
AnyRef, Any

### Type Members

1.  type Context = macros.whitebox.Context
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) use blackbox.Context or whitebox.Context instead

### Inherited from AnyRef

### Inherited from Any

### Ungrouped